package com.sagacloud.hbase;
/*
 * Author: Jxing
 * Create Time: 2019/3/13
 */

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.ZillionAgentProvider;
import com.sagacloud.pojo.HBaseTable;
import com.sagacloud.pojo.InfosObj;
import com.zillion.database.agent.ZillionAgent;

import java.util.ArrayList;

public class ZillionOpUtil {
    public static void delete(ArrayList<InfosObj> arr, HBaseTable table) throws Exception {
        JSONArray criterias = new JSONArray();
        for(int i = 0; i < arr.size(); ++i){
            InfosObj single = arr.get(i);
            JSONObject object = new JSONObject();
            object.put("project_id", single.getProject_id());
            object.put("obj_type", single.getObj_type());
            object.put("obj_id", single.getObj_id());
            object.put("info_id", single.getInfo_id());
            object.put("time", single.getTime());
            criterias.add(object);
        }
        arr.clear();
        System.out.println(delete(true, table.getDatabase(), table.getDatatable(), criterias));
    }
    private static JSONObject delete(boolean isBatchQuery, String database, String datatable, Object criteria) throws Exception {
        JSONObject json = JSONObject.parseObject("{\"QueryType\":\"delete\"}");
        json.put("Database", database);
        if (isBatchQuery) {
            json.put("QueryType", "batch_delete");
            json.put("Criterias", criteria);
        } else
            json.put("Criteria", criteria);
        json.put("Datatable", datatable);
        return ZillionAgentProvider.GetAgent().Query(json);
    }
}
